﻿// Copyright © 2004-2007. Adobe Systems Incorporated. All Rights Reserved.
package fl.video {

	use namespace flvplayback_internal;
	
	/**
	 * <p>Holds client-side functions for remote procedure calls (rpc)
	 * from the FMS during reconnection.  One of these objects is created
	 * and passed to the <code>NetConnection.client</code> property.</p>
	 *
     * @private
     *
     * @langversion 3.0
     * @playerversion Flash 9.0.28.0
	 */
	public class ReconnectClient {
		public var owner:NCManager;
		public function ReconnectClient(owner:NCManager) {
			this.owner = owner;
		}

		public function close():void {
			// do nothing, just need this implemented so that when
			// server calls it we do not get an exception
		}

		public function onBWDone(... rest):void {
			//ifdef DEBUG
			//owner.debugTrace("ReconnectClient.onBWDone()");
			//endif
			owner.onReconnected();
		}
		
		
		// now here are the extra classes that I hacked in via:
		// http://www.gotoandplay.net/forum/viewtopic.php?t=10584&sid=bda774bdf2386f972a885fee484985ca
		public function onMetaData(infoObject:Object):void {
            trace("metadata");
        }
		public function onCuePoint(infoObject:Object):void {
            trace("cue point");
        }
		public function streamInfo(infoObject:Object):void {
            trace("streamInfo");
        }
		
		
	} // class ReconnectClient

} // package fl.video
